brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Harris (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (BROOKLYN-472) YAML anchors cause failure when adding YAML blueprint to catalog
Date Wed, 12 Apr 2017 13:46:42 GMT

     [ https://issues.apache.org/jira/browse/BROOKLYN-472?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Martin Harris updated BROOKLYN-472:
-----------------------------------
    Description: 
Deploying the following using the blueprint composer with 'Application' selected *works*

{code}
anchors:
- &systemTools
  type:                                            org.apache.brooklyn.entity.software.base.VanillaSoftwareProcess
  name:                                            System Tools
  brooklyn.config:
    launch.command:                                "true"
    checkRunning.command:                          "true"
    stop.command:                                  "true"
    pre.install.command:                           "true"
    post.launch.command:                           "true"


services: [*systemTools]
location: localhost
{code}


Deploying the following using the blueprint composer with 'Catalog' *doesn't work*

{code}
anchors:
- &systemTools
  type:                                            org.apache.brooklyn.entity.software.base.VanillaSoftwareProcess
  name:                                            System Tools
  brooklyn.config:
    launch.command:                                "true"
    checkRunning.command:                          "true"
    stop.command:                                  "true"
    pre.install.command:                           "true"
    post.launch.command:                           "true"

brooklyn.catalog:
  id: foobar
  version: 1.0.0
  itemType: template
  name: foobar
  item:
    services: [*systemTools]
{code}

It fails with the following error:

Updating existing catalog entries is forbidden: foobar:1.0.0. Use forceUpdate argument to
override.


  was:
Deploying the following using the blueprint composer *works*

```
anchors:
- &systemTools
  type:                                            org.apache.brooklyn.entity.software.base.VanillaSoftwareProcess
  name:                                            System Tools
  brooklyn.config:
    launch.command:                                "true"
    checkRunning.command:                          "true"
    stop.command:                                  "true"
    pre.install.command:                           "true"
    post.launch.command:                           "true"


services: [*systemTools]
location: localhost
```


Deploying the following using the blueprint import *doesn't work*

```
anchors:
- &systemTools
  type:                                            org.apache.brooklyn.entity.software.base.VanillaSoftwareProcess
  name:                                            System Tools
  brooklyn.config:
    launch.command:                                "true"
    checkRunning.command:                          "true"
    stop.command:                                  "true"
    pre.install.command:                           "true"
    post.launch.command:                           "true"

brooklyn.catalog:
  id: foobar
  version: 1.0.0
  itemType: template
  name: foobar
  item:
    services: [*systemTools]
```

It fails with the following error:


Updating existing catalog entries is forbidden: foobar:1.0.0. Use forceUpdate argument to
override.



> YAML anchors cause failure when adding YAML blueprint to catalog
> ----------------------------------------------------------------
>
>                 Key: BROOKLYN-472
>                 URL: https://issues.apache.org/jira/browse/BROOKLYN-472
>             Project: Brooklyn
>          Issue Type: Bug
>    Affects Versions: 0.11.0
>            Reporter: Martin Harris
>            Priority: Minor
>
> Deploying the following using the blueprint composer with 'Application' selected *works*
> {code}
> anchors:
> - &systemTools
>   type:                                            org.apache.brooklyn.entity.software.base.VanillaSoftwareProcess
>   name:                                            System Tools
>   brooklyn.config:
>     launch.command:                                "true"
>     checkRunning.command:                          "true"
>     stop.command:                                  "true"
>     pre.install.command:                           "true"
>     post.launch.command:                           "true"
> services: [*systemTools]
> location: localhost
> {code}
> Deploying the following using the blueprint composer with 'Catalog' *doesn't work*
> {code}
> anchors:
> - &systemTools
>   type:                                            org.apache.brooklyn.entity.software.base.VanillaSoftwareProcess
>   name:                                            System Tools
>   brooklyn.config:
>     launch.command:                                "true"
>     checkRunning.command:                          "true"
>     stop.command:                                  "true"
>     pre.install.command:                           "true"
>     post.launch.command:                           "true"
> brooklyn.catalog:
>   id: foobar
>   version: 1.0.0
>   itemType: template
>   name: foobar
>   item:
>     services: [*systemTools]
> {code}
> It fails with the following error:
> Updating existing catalog entries is forbidden: foobar:1.0.0. Use forceUpdate argument
to override.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message